Bug 188037 - [PATCH] net-mgmt/zabbix22-server net-mgmt/zabbix22-frontend net-mgmt/zabbix22-agent net-mgmt/zabbix22-proxy: support STAGEDIR
Summary: [PATCH] net-mgmt/zabbix22-server net-mgmt/zabbix22-frontend net-mgmt/zabbix22...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-28 23:30 UTC by Danilo G. Baio
Modified: 2014-05-27 05:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.48 KB, patch)
2014-03-28 23:30 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2014-03-28 23:30:00 UTC
Attached patch updates zabbix22 packages for support stage dir and fix orphan files
	net-mgmt/zabbix22-server
	net-mgmt/zabbix22-frontend
	net-mgmt/zabbix22-agent
	net-mgmt/zabbix22-proxy

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-03-28 23:30:39 UTC
Maintainer of net-mgmt/zabbix22-server,

Please note that PR ports/188037 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188037

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-28 23:30:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2014-04-04 21:53:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Track
Comment 4 dfilter service freebsd_committer 2014-04-22 19:31:20 UTC
Author: rene
Date: Tue Apr 22 18:31:13 2014
New Revision: 351870
URL: http://svnweb.freebsd.org/changeset/ports/351870
QAT: https://qat.redports.org/buildarchive/r351870/

Log:
  - Stage support [1]
  - Clean up pkg-plist a bit [1]
  - Use modern LIB_DEPENDS
  
  PR:		ports/188037
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>
  Approved by:	maintainer timeout (<pakhom706@gmail.com> , 3 weeks)

Modified:
  head/net-mgmt/zabbix22-agent/Makefile
  head/net-mgmt/zabbix22-frontend/Makefile
  head/net-mgmt/zabbix22-proxy/Makefile
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix22-server/pkg-plist
  head/net-mgmt/zabbix22-server/pkg-plist.agent
  head/net-mgmt/zabbix22-server/pkg-plist.frontend

Modified: head/net-mgmt/zabbix22-agent/Makefile
==============================================================================
--- head/net-mgmt/zabbix22-agent/Makefile	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-agent/Makefile	Tue Apr 22 18:31:13 2014	(r351870)
@@ -13,6 +13,5 @@ OPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${
 OPTIONS_DEFINE=	IPV6
 OPTIONS_DEFAULT=	IPV6
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 .include "${MASTERDIR}/Makefile"

Modified: head/net-mgmt/zabbix22-frontend/Makefile
==============================================================================
--- head/net-mgmt/zabbix22-frontend/Makefile	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-frontend/Makefile	Tue Apr 22 18:31:13 2014	(r351870)
@@ -20,7 +20,6 @@ OPTIONS_DEFINE=	MYSQL MYSQLI PGSQL SQLIT
 OPTIONS_DEFAULT=	MYSQL MYSQLI
 MYSQLI_DESC=	MySQLI backend
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMYSQL}
@@ -45,7 +44,7 @@ CONFIGURE_ARGS+=        --with-oracle
 .endif
 
 do-install:
-	@${INSTALL} -d ${WWWDIR}
-	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}
+	@${INSTALL} -d ${STAGEDIR}${WWWDIR}
+	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}
 
 .include "${MASTERDIR}/Makefile"

Modified: head/net-mgmt/zabbix22-proxy/Makefile
==============================================================================
--- head/net-mgmt/zabbix22-proxy/Makefile	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-proxy/Makefile	Tue Apr 22 18:31:13 2014	(r351870)
@@ -6,5 +6,4 @@ PKGNAMESUFFIX=	-proxy
 
 MASTERDIR=	${.CURDIR}/../zabbix22-server
 
-NO_STAGE=	yes
 .include "${MASTERDIR}/Makefile"

Modified: head/net-mgmt/zabbix22-server/Makefile
==============================================================================
--- head/net-mgmt/zabbix22-server/Makefile	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-server/Makefile	Tue Apr 22 18:31:13 2014	(r351870)
@@ -27,11 +27,8 @@ ZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
 
 .if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
 .if ${ZABBIX_BUILD} != "agent"
-MAN8+=		zabbix_${ZABBIX_BUILD}.8
 USE_RC_SUBR=	zabbix_${ZABBIX_BUILD}
 .else
-MAN1+=		zabbix_get.1 zabbix_sender.1
-MAN8+=		zabbix_${ZABBIX_BUILD}d.8
 USE_RC_SUBR=	zabbix_${ZABBIX_BUILD}d
 .endif
 
@@ -63,8 +60,8 @@ CONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD
 			--with-iconv=${ICONV_PREFIX}
 
 .if ${ZABBIX_BUILD} != "agent"
-LIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
-		execinfo:${PORTSDIR}/devel/libexecinfo
+LIB_DEPENDS=	libnetsnmp.so:${PORTSDIR}/net-mgmt/net-snmp \
+		libexecinfo.so:${PORTSDIR}/devel/libexecinfo
 
 SUB_FILES=	pkg-message
 
@@ -92,7 +89,6 @@ OPTIONS_SINGLE=	DB ODBC
 OPTIONS_SINGLE_DB=	MYSQL PGSQL SQLITE ORACLE
 OPTIONS_SINGLE_ODBC=	IODBC UNIXODBC
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMYSQL}
@@ -119,7 +115,7 @@ CONFIGURE_ARGS+=	--with-oracle
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	libcurl.so:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-libcurl
 .endif
 
@@ -129,12 +125,12 @@ CONFIGURE_ARGS+=	--with-ldap
 .endif
 
 .if ${PORT_OPTIONS:MIPMI}
-LIB_DEPENDS+=	OpenIPMI:${PORTSDIR}/sysutils/openipmi
+LIB_DEPENDS+=	libOpenIPMI.so:${PORTSDIR}/sysutils/openipmi
 CONFIGURE_ARGS+=	--with-openipmi
 .endif
 
 .if ${PORT_OPTIONS:MJABBER}
-LIB_DEPENDS+=	iksemel:${PORTSDIR}/textproc/iksemel
+LIB_DEPENDS+=	libiksemel.so:${PORTSDIR}/textproc/iksemel
 CONFIGURE_ARGS+=	--with-jabber
 .endif
 
@@ -143,17 +139,17 @@ RUN_DEPENDS+=	fping:${PORTSDIR}/net/fpin
 .endif
 
 .if ${PORT_OPTIONS:MSSH}
-LIB_DEPENDS+=	ssh2:${PORTSDIR}/security/libssh2
+LIB_DEPENDS+=	libssh2.so:${PORTSDIR}/security/libssh2
 CONFIGURE_ARGS+=	--with-ssh2
 .endif
 
 .if ${PORT_OPTIONS:MIODBC}
-LIB_DEPENDS+=	iodbc:${PORTSDIR}/databases/libiodbc
+LIB_DEPENDS+=	libiodbc.so:${PORTSDIR}/databases/libiodbc
 CONFIGURE_ARGS+=	--with-iodbc
 .endif
 
 .if ${PORT_OPTIONS:MUNIXODBC}
-LIB_DEPENDS+=	odbc:${PORTSDIR}/databases/unixODBC
+LIB_DEPENDS+=	libodbc.so:${PORTSDIR}/databases/unixODBC
 CONFIGURE_ARGS+=	--with-unixodbc
 .endif
 .endif # if ${ZABBIX_BUILD} != "agent"
@@ -177,7 +173,7 @@ PLIST_SUB+=	JAVAGW="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MLIBXML2}
-LIB_DEPENDS+=	xml2:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS+=	libxml2.so:${PORTSDIR}/textproc/libxml2
 CONFIGURE_ARGS+=	--with-libxml2
 .endif
 
@@ -203,14 +199,13 @@ post-patch:
 post-install:
 
 .if defined(WITH_JAVAGW)
-	@${MV} ${PREFIX}/sbin/zabbix_java/settings.sh ${PREFIX}/sbin/zabbix_java/settings.sh.sample
+	@${MV} ${STAGEDIR}${PREFIX}/sbin/zabbix_java/settings.sh ${STAGEDIR}${PREFIX}/sbin/zabbix_java/settings.sh.sample
 .endif
 
 .if ${ZABBIX_BUILD} != "agent"
-	@${MKDIR} "${DATADIR}/${ZABBIX_BUILD}/database"
-	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/
-	@cd ${WRKSRC}/database/ && ${COPYTREE_SHARE} "ibm_db2 mysql oracle postgresql sqlite3" ${DATADIR}/${ZABBIX_BUILD}/database/
-	@${CAT} ${PKGMESSAGE}
+	@${MKDIR} "${STAGEDIR}${DATADIR}/${ZABBIX_BUILD}/database"
+	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${STAGEDIR}${DATADIR}/${ZABBIX_BUILD}/upgrades/
+	@cd ${WRKSRC}/database/ && ${COPYTREE_SHARE} "ibm_db2 mysql oracle postgresql sqlite3" ${STAGEDIR}${DATADIR}/${ZABBIX_BUILD}/database/
 .endif
 .endif # if ${ZABBIX_BUILD} != "frontend"
 

Modified: head/net-mgmt/zabbix22-server/pkg-plist
==============================================================================
--- head/net-mgmt/zabbix22-server/pkg-plist	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-server/pkg-plist	Tue Apr 22 18:31:13 2014	(r351870)
@@ -1,4 +1,5 @@
 %%ETCDIR%%/zabbix_%%ZABBIX_BUILD%%.conf.sample
+man/man8/zabbix_%%ZABBIX_BUILD%%.8.gz
 sbin/zabbix_%%ZABBIX_BUILD%%
 %%DATADIR%%/%%ZABBIX_BUILD%%/database/mysql/data.sql
 %%DATADIR%%/%%ZABBIX_BUILD%%/database/mysql/schema.sql

Modified: head/net-mgmt/zabbix22-server/pkg-plist.agent
==============================================================================
--- head/net-mgmt/zabbix22-server/pkg-plist.agent	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-server/pkg-plist.agent	Tue Apr 22 18:31:13 2014	(r351870)
@@ -7,3 +7,6 @@ sbin/zabbix_agentd
 @dirrmtry %%ETCDIR%%/zabbix_agentd.conf.d
 @dirrmtry %%ETCDIR%%/zabbix_agent.conf.d
 @dirrmtry %%ETCDIR%%
+man/man1/zabbix_get.1.gz
+man/man1/zabbix_sender.1.gz
+man/man8/zabbix_%%ZABBIX_BUILD%%d.8.gz

Modified: head/net-mgmt/zabbix22-server/pkg-plist.frontend
==============================================================================
--- head/net-mgmt/zabbix22-server/pkg-plist.frontend	Tue Apr 22 18:22:58 2014	(r351869)
+++ head/net-mgmt/zabbix22-server/pkg-plist.frontend	Tue Apr 22 18:31:13 2014	(r351870)
@@ -820,7 +820,7 @@
 @dirrm %%WWWDIR%%/audio
 @dirrm %%WWWDIR%%/include/views/js
 @dirrm %%WWWDIR%%/include/views
-@dirrm %%WWWDIR%%/include/classes/graphdraw/
+@dirrm %%WWWDIR%%/include/classes/graphdraw
 @dirrm %%WWWDIR%%/include/classes/import/formatters
 @dirrm %%WWWDIR%%/include/classes/import/readers
 @dirrm %%WWWDIR%%/include/classes/import/importers
@@ -846,7 +846,7 @@
 @dirrm %%WWWDIR%%/include/classes/validators/host
 @dirrm %%WWWDIR%%/include/classes/validators/string
 @dirrm %%WWWDIR%%/include/classes/validators/object
-@dirrm %%WWWDIR%%/include/classes/validators/
+@dirrm %%WWWDIR%%/include/classes/validators
 @dirrm %%WWWDIR%%/include/classes
 @dirrm %%WWWDIR%%/include
 @dirrm %%WWWDIR%%/api/rpc
@@ -913,14 +913,14 @@
 @dirrm %%WWWDIR%%/locale/tr
 @dirrm %%WWWDIR%%/locale/sk/LC_MESSAGES
 @dirrm %%WWWDIR%%/locale/sk
-@dirrm %%WWWDIR%%/locale/en_US/LC_MESSAGES/
-@dirrm %%WWWDIR%%/locale/en_US/
-@dirrm %%WWWDIR%%/locale/bg/LC_MESSAGES/
-@dirrm %%WWWDIR%%/locale/bg/
-@dirrm %%WWWDIR%%/locale/lt/LC_MESSAGES/
-@dirrm %%WWWDIR%%/locale/lt/
-@dirrm %%WWWDIR%%/locale/ro/LC_MESSAGES/
-@dirrm %%WWWDIR%%/locale/ro/
+@dirrm %%WWWDIR%%/locale/en_US/LC_MESSAGES
+@dirrm %%WWWDIR%%/locale/en_US
+@dirrm %%WWWDIR%%/locale/bg/LC_MESSAGES
+@dirrm %%WWWDIR%%/locale/bg
+@dirrm %%WWWDIR%%/locale/lt/LC_MESSAGES
+@dirrm %%WWWDIR%%/locale/lt
+@dirrm %%WWWDIR%%/locale/ro/LC_MESSAGES
+@dirrm %%WWWDIR%%/locale/ro
 @dirrm %%WWWDIR%%/locale
 @dirrm %%WWWDIR%%/conf
 @dirrm %%WWWDIR%%/js/jquery
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2014-04-22 19:31:24 UTC
State Changed
From-To: feedback->closed

Committed, thanks
Comment 6 Kevin Bowling freebsd_committer 2014-04-27 12:10:23 UTC
This broke packaging with the java gateway enabled:
pkg-static:
lstat(/wrkdirs/usr/ports/net-mgmt/zabbix22-server/work/stage/usr/local/sbin/zabbix_java/settings.sh.sample):
No such file or directory
Comment 7 Danilo G. Baio freebsd_committer 2014-04-30 12:25:37 UTC
Thank you.

I've opened another PR for fix this and to upgrade the package.

http://www.freebsd.org/cgi/query-pr.cgi?pr=189135
-- 
Danilo G. Baio (dbaio)
Comment 8 Kevin Bowling freebsd_committer 2014-05-27 05:11:38 UTC
Any chance this can get committed?  It's been broken for a while.


On Wed, Apr 30, 2014 at 4:25 AM, Danilo Baio <dbaio@bsd.com.br> wrote:

>
> Thank you.
>
> I've opened another PR for fix this and to upgrade the package.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=189135
> --
> Danilo G. Baio (dbaio)
>